summary refs log tree commit diff
path: root/command.sh
diff options
context:
space:
mode:
authorJune McEnroe <programble@gmail.com>2018-02-22 15:46:44 -0500
committerJune McEnroe <programble@gmail.com>2018-02-22 15:46:44 -0500
commita59175d2f9a12432abb6d0cd54dacafbd42db6e0 (patch)
tree2fe759d7bbbb47543d0ff0076682611949973493 /command.sh
parentFactor out STREAM_SIZE for ingest and broadcast (diff)
downloadstream-a59175d2f9a12432abb6d0cd54dacafbd42db6e0.tar.gz
stream-a59175d2f9a12432abb6d0cd54dacafbd42db6e0.zip
Add command.sh
Diffstat (limited to '')
-rw-r--r--command.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/command.sh b/command.sh
new file mode 100644
index 0000000..333ca44
--- /dev/null
+++ b/command.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e -u
+
+set $SSH_ORIGINAL_COMMAND
+case $1 in
+    view) exec view public/${2##*/} ;;
+    ingest) exec ingest private/${2##*/} ;;
+    *) exec view public/${1##*/} ;;
+esac